Index: /branches/numpy/anuga/geospatial_data/geospatial_data.py
===================================================================
--- /branches/numpy/anuga/geospatial_data/geospatial_data.py	(revision 6901)
+++ /branches/numpy/anuga/geospatial_data/geospatial_data.py	(revision 6902)
@@ -862,7 +862,7 @@
                  self.file_pointer) = _read_csv_file_blocking(self.file_pointer,
                                                               self.header[:],
-                                                              max_read_lines= \
+                                                              max_read_lines=
                                                            self.max_read_lines,
-                                                              verbose= \
+                                                              verbose=
                                                                   self.verbose)
 
Index: /branches/numpy/anuga/load_mesh/loadASCII.py
===================================================================
--- /branches/numpy/anuga/load_mesh/loadASCII.py	(revision 6901)
+++ /branches/numpy/anuga/load_mesh/loadASCII.py	(revision 6902)
@@ -817,5 +817,5 @@
         mesh['vertex_attributes'] = None
 
-    mesh['vertex_attribute_titles'] = []
+#    mesh['vertex_attribute_titles'] = []
     try:
         titles = fid.variables['vertex_attribute_titles'][:]
@@ -829,5 +829,5 @@
         mesh['segments'] = num.array([], num.int)      #array default#
 
-    mesh['segment_tags'] = []
+#    mesh['segment_tags'] = []
     try:
         tags = fid.variables['segment_tags'][:]
@@ -844,5 +844,5 @@
         mesh['triangle_neighbors'] = num.array([], num.int)     #array default#
 
-    mesh['triangle_tags'] = []
+#    mesh['triangle_tags'] = []
     try:
         tags = fid.variables['triangle_tags'][:]
Index: /branches/numpy/anuga/load_mesh/test_loadASCII.py
===================================================================
--- /branches/numpy/anuga/load_mesh/test_loadASCII.py	(revision 6901)
+++ /branches/numpy/anuga/load_mesh/test_loadASCII.py	(revision 6902)
@@ -410,6 +410,7 @@
         self.failUnless(num.alltrue(loaded_dict['vertex_attributes'] ==
                                     dict['vertex_attributes']) or
-                        (loaded_dict['vertex_attributes'] == None and
-                         dict['vertex_attributes'] == []),
+                                    (loaded_dict['vertex_attributes'] ==
+                                    None and
+                                    dict['vertex_attributes'] == []),
                         fail_string + ' failed!! Test vertex_attributes')
 
@@ -423,6 +424,6 @@
             self.failUnless(seg == ldseg, fail_string + ' failed\n' + msg)
 
-        dict_array = num.array(dict['vertex_attribute_titles'])
-        loaded_dict_array = num.array(loaded_dict['vertex_attribute_titles'])
+#        dict_array = num.array(dict['vertex_attribute_titles'])
+#        loaded_dict_array = num.array(loaded_dict['vertex_attribute_titles'])
         try:
             assert num.allclose(dict_array, loaded_dict_array)
Index: /branches/numpy/anuga/shallow_water/data_manager.py
===================================================================
--- /branches/numpy/anuga/shallow_water/data_manager.py	(revision 6901)
+++ /branches/numpy/anuga/shallow_water/data_manager.py	(revision 6902)
@@ -3575,11 +3575,11 @@
     other_quantities.remove('z')
     other_quantities.remove('volumes')
-    #try:
-    #    other_quantities.remove('stage_range')
-    #    other_quantities.remove('xmomentum_range')
-    #    other_quantities.remove('ymomentum_range')
-    #    other_quantities.remove('elevation_range')
-    #except:
-    #    pass
+    try:
+        other_quantities.remove('stage_range')
+        other_quantities.remove('xmomentum_range')
+        other_quantities.remove('ymomentum_range')
+        other_quantities.remove('elevation_range')
+    except:
+        pass
 
     conserved_quantities.remove('time')
@@ -5338,5 +5338,5 @@
         j += 1
 
-    #if verbose: sww.verbose_quantities(outfile)
+    if verbose: sww.verbose_quantities(outfile)
 
     outfile.close()
@@ -5855,5 +5855,5 @@
     # @param smoothing True if smoothing is to be used.
     # @param order 
-    # @param sww_precision Data type of the quantitiy written (netcdf constant)
+    # @param sww_precision Data type of the quantity written (netcdf constant)
     # @param verbose True if this function is to be verbose.
     # @note If 'times' is a list, the info will be made relative.
@@ -5936,12 +5936,11 @@
                                ('number_of_points',))
         q = 'elevation'
-        #outfile.createVariable(q + Write_sww.RANGE, sww_precision,
-        #                       ('numbers_in_range',))
-
-
-        ## Initialise ranges with small and large sentinels.
-        ## If this was in pure Python we could have used None sensibly
-        #outfile.variables[q+Write_sww.RANGE][0] = max_float  # Min
-        #outfile.variables[q+Write_sww.RANGE][1] = -max_float # Max
+        outfile.createVariable(q + Write_sww.RANGE, sww_precision,
+                               ('numbers_in_range',))
+
+        # Initialise ranges with small and large sentinels.
+        # If this was in pure Python we could have used None sensibly
+        outfile.variables[q+Write_sww.RANGE][0] = max_float  # Min
+        outfile.variables[q+Write_sww.RANGE][1] = -max_float # Max
 
         # FIXME: Backwards compatibility
@@ -5958,11 +5957,11 @@
             outfile.createVariable(q, sww_precision, ('number_of_timesteps',
                                                       'number_of_points'))
-            #outfile.createVariable(q + Write_sww.RANGE, sww_precision,
-            #                       ('numbers_in_range',))
+            outfile.createVariable(q + Write_sww.RANGE, sww_precision,
+                                   ('numbers_in_range',))
 
             # Initialise ranges with small and large sentinels.
             # If this was in pure Python we could have used None sensibly
-            #outfile.variables[q+Write_sww.RANGE][0] = max_float  # Min
-            #outfile.variables[q+Write_sww.RANGE][1] = -max_float # Max
+            outfile.variables[q+Write_sww.RANGE][0] = max_float  # Min
+            outfile.variables[q+Write_sww.RANGE][1] = -max_float # Max
 
         if isinstance(times, (list, num.ndarray)):
@@ -6073,6 +6072,6 @@
         q = 'elevation'
         # This updates the _range values
-        #outfile.variables[q + Write_sww.RANGE][0] = min(elevation)
-        #outfile.variables[q + Write_sww.RANGE][1] = max(elevation)
+        outfile.variables[q + Write_sww.RANGE][0] = num.min(elevation)
+        outfile.variables[q + Write_sww.RANGE][1] = num.max(elevation)
 
 
@@ -6126,24 +6125,24 @@
                                 q_values.astype(sww_precision)
         
-        #        # This updates the _range values
-        #        q_range = outfile.variables[q + Write_sww.RANGE][:]
-        #        q_values_min = min(q_values)
-        #        if q_values_min < q_range[0]:
-        #            outfile.variables[q + Write_sww.RANGE][0] = q_values_min
-        #        q_values_max = max(q_values)
-        #        if q_values_max > q_range[1]:
-        #            outfile.variables[q + Write_sww.RANGE][1] = q_values_max
+                # This updates the _range values
+                q_range = outfile.variables[q + Write_sww.RANGE][:]
+                q_values_min = num.min(q_values)
+                if q_values_min < q_range[0]:
+                    outfile.variables[q + Write_sww.RANGE][0] = q_values_min
+                q_values_max = num.max(q_values)
+                if q_values_max > q_range[1]:
+                    outfile.variables[q + Write_sww.RANGE][1] = q_values_max
 
     ##
     # @brief Print the quantities in the underlying file.
     # @param outfile UNUSED.
-    #def verbose_quantities(self, outfile):
-    #    print '------------------------------------------------'
-    #    print 'More Statistics:'
-    #    for q in Write_sww.sww_quantities:
-    #        print '  %s in [%f, %f]' % (q,
-    #                                    outfile.variables[q+Write_sww.RANGE][0],
-    #                                    outfile.variables[q+Write_sww.RANGE][1])
-    #    print '------------------------------------------------'
+    def verbose_quantities(self, outfile):
+        print '------------------------------------------------'
+        print 'More Statistics:'
+        for q in Write_sww.sww_quantities:
+            print '  %s in [%f, %f]' % (q,
+                                        outfile.variables[q+Write_sww.RANGE][0],
+                                        outfile.variables[q+Write_sww.RANGE][1])
+        print '------------------------------------------------'
 
 
@@ -6496,11 +6495,11 @@
 
                 # This updates the _range values
-                #q_range = outfile.variables[q + Write_sts.RANGE][:]
-                #q_values_min = min(q_values)
-                #if q_values_min < q_range[0]:
-                #    outfile.variables[q + Write_sts.RANGE][0] = q_values_min
-                #q_values_max = max(q_values)
-                #if q_values_max > q_range[1]:
-                #    outfile.variables[q + Write_sts.RANGE][1] = q_values_max
+                q_range = outfile.variables[q + Write_sts.RANGE][:]
+                q_values_min = num.min(q_values)
+                if q_values_min < q_range[0]:
+                    outfile.variables[q + Write_sts.RANGE][0] = q_values_min
+                q_values_max = num.max(q_values)
+                if q_values_max > q_range[1]:
+                    outfile.variables[q + Write_sts.RANGE][1] = q_values_max
 
 
@@ -6673,6 +6672,4 @@
 
 
-# FIXME (DSG): Add unit test, make general, not just 2 files,
-# but any number of files.
 ##
 # @brief Copy a file to a directory, and optionally append another file to it.
@@ -6680,21 +6677,39 @@
 # @param filename Path to file to copy to directory 'dir_name'.
 # @param filename2 Optional path to file to append to copied file.
-def copy_code_files(dir_name, filename1, filename2=None):
+# @param verbose True if this function is to be verbose.
+# @note Allow filenames to be either a string or sequence of strings.
+def copy_code_files(dir_name, filename1, filename2=None, verbose=False):
     """Copies "filename1" and "filename2" to "dir_name".
-    Very useful for information management
-    filename1 and filename2 are both absolute pathnames
-    """
-
+
+    Each 'filename' may be a string or list of filename strings.
+
+    Filenames must be absolute pathnames
+    """
+
+    ##
+    # @brief copies a file or sequence to destination directory.
+    # @param dest The destination directory to copy to.
+    # @param file A filename string or sequence of filename strings.
+    def copy_file_or_sequence(dest, file):
+        if hasattr(file, '__iter__'):
+            for f in file:
+                shutil.copy(f, dir_name)
+                if verbose:
+                    print 'File %s copied' % (f)
+        else:
+            shutil.copy(file, dir_name)
+            if verbose:
+                print 'File %s copied' % (file)
+
+    # check we have a destination directory, create if necessary
     if access(dir_name, F_OK) == 0:
-        print 'Make directory %s' % dir_name
-        mkdir (dir_name,0777)
-
-    shutil.copy(filename1, dir_name + sep + basename(filename1))
-
-    if filename2 != None:
-        shutil.copy(filename2, dir_name + sep + basename(filename2))
-        print 'Files %s and %s copied' %(filename1, filename2)
-    else:
-        print 'File %s copied' %(filename1)
+        if verbose:
+            print 'Make directory %s' % dir_name
+        mkdir(dir_name, 0777)
+
+    copy_file_or_sequence(dir_name, filename1)
+
+    if not filename2 is None:
+        copy_file_or_sequence(dir_name, filename2)
 
 
